%define module	Catalyst-Plugin-ConfigLoader
%define name	perl-%{module}
%define	modprefix Catalyst

%define version	0.22
%define	rel	1
%define release	%mkrel %{rel}

Summary:	Load config files of various types
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:	perl(Catalyst::Runtime)
BuildRequires:	perl(Config::Any) >= 0.08
BuildRequires:	perl(Data::Visitor) >= 0.02
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(MRO::Compat)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This module will attempt to load find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl
formats.

To support the distinction between development and production
environments, this module will also attemp to load a local config
(e.g. myapp_local.yaml) which will override any duplicate settings.


%prep
%setup -q -n %{module}-%{version}
sed -i.DOS -e 's/\r//g' Changes
sed -i.DOS -e 's/\r//g' README

%build
%__perl Makefile.PL installdirs=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}



%changelog
* Thu Jan 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.1
+ Revision: 327131
- update to new version 0.22

* Tue Aug 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.0
+ Revision: 271051
- update to new version 0.21

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2009.0
+ Revision: 202327
- update to new version 0.20

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.1
+ Revision: 111153
- update to new version 0.19

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 105900
- update to new version 0.18
- update to new version 0.18

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2008.0
+ Revision: 74301
- update build dependencies
- update to new version 0.17

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.0
+ Revision: 69204
- update to new version 0.15

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.14-1mdv2008.0
+ Revision: 19689
- fix build

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -New version


* Fri Aug 25 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-25 12:52:46 (58083)
- Version 0.13

* Sat Aug 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 21:49:07 (53371)
import perl-Catalyst-Plugin-ConfigLoader-0.12-1mdv2007.0

* Thu Aug 03 2006 Scott Karns <scottk@mandriva.org> 0.12-1mdv2007.0
- Version 0.12

* Fri Jul 14 2006 Scott Karns <scottk@mandriva.org> 0.11-1mdv2007.0
- Version 0.11

* Thu Jun 29 2006 Scott Karns <scott@karnstech.com> 0.09-1mdv2007.0
- Initial Mandriva RPM

